> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /appstore/apps/charts

> Get an Apple App Store top-chart ranking by storefront and optional category

**Price:** 10 credits per 20 results



## OpenAPI

````yaml /openapi/app-stores.json post /api/appstore/apps/charts
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/appstore/apps/charts:
    post:
      tags:
        - /appstore
      summary: /appstore/apps/charts
      description: >-
        Get an Apple App Store top-chart ranking by storefront and optional
        category


        **Price:** 10 credits per 20 results
      operationId: __api_appstore_apps_charts_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppstoreChartsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppstoreChartEntry'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppstoreChartsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        chart_type:
          $ref: '#/components/schemas/AppstoreChartType'
        count:
          type: integer
          maximum: 200
          minimum: 1
        country:
          $ref: '#/components/schemas/AppstoreCountry'
          default: us
        category:
          anyOf:
            - $ref: '#/components/schemas/AppstoreAppCategory'
            - type: 'null'
      type: object
      required:
        - chart_type
        - count
    AppstoreChartEntry:
      properties:
        '@type':
          type: string
          default: AppstoreChartEntry
        id:
          type: integer
        bundle_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        developer_id:
          anyOf:
            - type: integer
            - type: 'null'
        developer_name:
          anyOf:
            - type: string
            - type: 'null'
        developer_url:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          type: number
          default: 0
        formatted_price:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        is_free:
          type: boolean
          default: false
        rights:
          anyOf:
            - type: string
            - type: 'null'
        released_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AppstoreChartType:
      type: string
      enum:
        - topfreeapplications
        - toppaidapplications
        - topgrossingapplications
        - newapplications
        - newfreeapplications
        - newpaidapplications
    AppstoreCountry:
      type: string
      enum:
        - us
        - gb
        - ca
        - au
        - de
        - fr
        - it
        - es
        - nl
        - se
        - jp
        - kr
        - cn
        - in
        - br
        - mx
        - ru
        - tr
        - pl
        - ae
        - sa
        - sg
        - hk
        - tw
        - id
        - th
        - vn
        - ph
        - my
        - za
    AppstoreAppCategory:
      type: string
      enum:
        - '6014'
        - '6000'
        - '6001'
        - '6002'
        - '6003'
        - '6004'
        - '6005'
        - '6006'
        - '6007'
        - '6008'
        - '6009'
        - '6010'
        - '6011'
        - '6012'
        - '6013'
        - '6016'
        - '6017'
        - '6018'
        - '6020'
        - '6021'
        - '6022'
        - '6015'
        - '6023'
        - '6024'
        - '6025'
        - '6026'
        - '6027'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````